# MonitorInfo

This interface gives access to all the useful bits related to asynchronous operations:

```typescript
export interface MonitorInfo {
    inProgressActions?: AsynAction<any>[],
    currentAction?: AsynAction<any>,
    status?: MonitorStatus,
}
```

�

| Property          | Description                                                                                                                      |
| ----------------- | -------------------------------------------------------------------------------------------------------------------------------- |
| inProgressActions | <p><strong>Type:</strong>  <code>AsynAction\<any>\[]</code> </p><p>all the actions currently in progress in this Conan state</p> |
| currentAction     | <p><strong>Type:</strong>  <code>AsynAction\<any></code></p><p><code>The current action being executed</code></p>                |
| status            | <p><strong>Type:</strong>  <code>MonitorStatus</code> </p><p><code>The current status of this monitor</code></p>                 |

The possible values for MonitorStatus are:

```typescript
export enum MonitorStatus {
    IDLE = 'IDLE',
    ASYNC_START = "ASYNC_START",
    ASYNC_FULFILLED = "ASYNC_FULFILLED",
    ASYNC_CANCELLED = "ASYNC_CANCELLED",
}
```

�


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.conanjs.io/api/conan-state-classes/monitorinfo.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
